%define url_ver %(echo %{version}|cut -d. -f1,2)

Name:    mate-themes
Version: 3.22.22
Release: %mkrel 1
Summary: MATE Desktop themes
Group:   Graphical desktop/MATE
License: LGPLv2+
URL:     https://mate-desktop.org
Source0: https://pub.mate-desktop.org/releases/themes/%{url_ver}/%{name}-%{version}.tar.xz
Source1: index.theme
BuildRequires: itstool
BuildRequires: icon-naming-utils
BuildRequires: mate-common
BuildRequires: pkgconfig(gtk-engines-2)
BuildRequires: pkgconfig(gtk+-2.0)
BuildRequires: pkgconfig(gdk-pixbuf-2.0)

Requires:	gtk-engines2
Requires:	mate-icon-theme
Requires:	gtk-murrine-engine
Requires:   mate-faenza-icon-theme
Requires:   cursor-theme-polar

Obsoletes: mate-themes
Provides: mate-themes = %{version}-%{release}

%description
This packages contains themes for MATE.

%prep
%setup -q

%build
%configure2_5x
%make_build

%install
rm -rf %buildroot
%make_install

touch %{buildroot}%{_iconsdir}/ContrastHigh/icon-theme.cache

install -m 0644 %SOURCE1 %{buildroot}/%{_datadir}/themes/Blue-Submarine/index.theme

find %{buildroot} -name '*.la' -delete

%post
%update_icon_cache ContrastHigh

%files
%dir %{_iconsdir}/ContrastHigh/
%{_iconsdir}/ContrastHigh/*/
%{_iconsdir}/ContrastHigh/index.theme
%ghost %{_iconsdir}/ContrastHigh/icon-theme.cache
%dir %{_iconsdir}/mate-black/
%{_iconsdir}/mate-black/*/
%{_iconsdir}/mate-black/index.theme
%{_iconsdir}/mate/
%{_datadir}/themes/*


%changelog
* Mon Aug 09 2021 tex - 3.22.22-1pclos2021
- new version

* Sat Feb 15 2020 tex - 3.22.20-1pclos2020
- 3.22.20
